# Interface T8Quantity<TUnit>

Represents a single quantity value with its type and optional unit.

interface T8Quantity<TUnit> {
type: string;
unit?: TUnit;
value: string | number | boolean;
}

#### Type Parameters

- TUnit

  The type used to represent units of measurement

##### Index

### Properties

type
unit?
value

## Properties

### type

type: string

The type identifier of the quantity

### `Optional` unit

unit?: TUnit

Optional unit of measurement for the quantity

### value

value: string | number | boolean

The quantity value (can be boolean, number, or string)